diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-address-duplication-test.cc ns-3.44/src/internet/test/ipv6-address-duplication-test.cc
--- ns-3.43/src/internet/test/ipv6-address-duplication-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv6-address-duplication-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -32,9 +32,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 Duplicate Address Detection Test
+ * @brief IPv6 Duplicate Address Detection Test
  */
 class Ipv6DadTest : public TestCase
 {
@@ -105,9 +105,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 Duplicate Address Detection TestSuite
+ * @brief IPv6 Duplicate Address Detection TestSuite
  */
 class Ipv6DadTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-address-generator-test-suite.cc ns-3.44/src/internet/test/ipv6-address-generator-test-suite.cc
--- ns-3.43/src/internet/test/ipv6-address-generator-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-address-generator-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -12,9 +12,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 network number allocator Test
+ * @brief IPv6 network number allocator Test
  */
 class NetworkNumber6AllocatorTestCase : public TestCase
 {
@@ -70,9 +70,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 address allocator Test
+ * @brief IPv6 address allocator Test
  */
 class AddressAllocator6TestCase : public TestCase
 {
@@ -134,9 +134,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 network number and address allocator Test
+ * @brief IPv6 network number and address allocator Test
  */
 class NetworkAndAddress6TestCase : public TestCase
 {
@@ -185,9 +185,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 example of an address generator Test
+ * @brief IPv6 example of an address generator Test
  */
 class ExampleAddress6GeneratorTestCase : public TestCase
 {
@@ -249,9 +249,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 address collision Test
+ * @brief IPv6 address collision Test
  */
 class AddressCollision6TestCase : public TestCase
 {
@@ -331,9 +331,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 address generator TestSuite
+ * @brief IPv6 address generator TestSuite
  */
 class Ipv6AddressGeneratorTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-address-helper-test-suite.cc ns-3.44/src/internet/test/ipv6-address-helper-test-suite.cc
--- ns-3.43/src/internet/test/ipv6-address-helper-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-address-helper-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -17,9 +17,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 AddressHelper Test
+ * @brief IPv6 AddressHelper Test
  */
 class IpAddressHelperTestCasev6 : public TestCase
 {
@@ -157,9 +157,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 AddressHelper TestSuite
+ * @brief IPv6 AddressHelper TestSuite
  */
 class Ipv6AddressHelperTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-dual-stack-test-suite.cc ns-3.44/src/internet/test/ipv6-dual-stack-test-suite.cc
--- ns-3.43/src/internet/test/ipv6-dual-stack-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-dual-stack-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -40,9 +40,9 @@
 NS_LOG_COMPONENT_DEFINE("Ipv6DualStackTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 dual stack Test
+ * @brief IPv6 dual stack Test
  */
 class DualStackTestCase : public TestCase
 {
@@ -54,7 +54,7 @@
     void DoTeardown() override;
 
     /**
-     * \brief Setup the test.
+     * @brief Setup the test.
      */
     void SetUpSim();
 
@@ -63,26 +63,26 @@
 
     /**
      * Handle connection created (1).
-     * \param s The socket.
-     * \param addr The peer address.
+     * @param s The socket.
+     * @param addr The peer address.
      */
     void ServerHandleConnectionCreated1(Ptr<Socket> s, const Address& addr);
     /**
      * Handle connection created (2).
-     * \param s The socket.
-     * \param addr The peer address.
+     * @param s The socket.
+     * @param addr The peer address.
      */
     void ServerHandleConnectionCreated2(Ptr<Socket> s, const Address& addr);
     /**
      * Handle connection created (3).
-     * \param s The socket.
-     * \param addr The peer address.
+     * @param s The socket.
+     * @param addr The peer address.
      */
     void ServerHandleConnectionCreated3(Ptr<Socket> s, const Address& addr);
     /**
      * Handle connection created (4).
-     * \param s The socket.
-     * \param addr The peer address.
+     * @param s The socket.
+     * @param addr The peer address.
      */
     void ServerHandleConnectionCreated4(Ptr<Socket> s, const Address& addr);
 
@@ -341,9 +341,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 dual stack TestSuite
+ * @brief IPv6 dual stack TestSuite
  */
 class Ipv6DualStackTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-extension-header-test-suite.cc ns-3.44/src/internet/test/ipv6-extension-header-test-suite.cc
--- ns-3.43/src/internet/test/ipv6-extension-header-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-extension-header-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -23,9 +23,9 @@
 // ===========================================================================
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 extensions Test: Empty option field.
+ * @brief IPv6 extensions Test: Empty option field.
  */
 class TestEmptyOptionField : public TestCase
 {
@@ -63,9 +63,9 @@
 // ===========================================================================
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 extensions Test: Option without alignment.
+ * @brief IPv6 extensions Test: Option without alignment.
  */
 class OptionWithoutAlignmentHeader : public Ipv6OptionHeader
 {
@@ -86,9 +86,9 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 extensions Test: Test the option without alignment.
+ * @brief IPv6 extensions Test: Test the option without alignment.
  */
 class TestOptionWithoutAlignment : public TestCase
 {
@@ -136,9 +136,9 @@
 // ===========================================================================
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 extensions Test: Option with alignment.
+ * @brief IPv6 extensions Test: Option with alignment.
  */
 class OptionWithAlignmentHeader : public Ipv6OptionHeader
 {
@@ -164,9 +164,9 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 extensions Test: Test the option with alignment.
+ * @brief IPv6 extensions Test: Test the option with alignment.
  */
 class TestOptionWithAlignment : public TestCase
 {
@@ -221,9 +221,9 @@
 // ===========================================================================
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 extensions Test: Test an option already aligned.
+ * @brief IPv6 extensions Test: Test an option already aligned.
  */
 class TestFulfilledAlignment : public TestCase
 {
@@ -260,9 +260,9 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 extensions TestSuite.
+ * @brief IPv6 extensions TestSuite.
  */
 class Ipv6ExtensionHeaderTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-forwarding-test.cc ns-3.44/src/internet/test/ipv6-forwarding-test.cc
--- ns-3.43/src/internet/test/ipv6-forwarding-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-forwarding-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -32,24 +32,24 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 Forwarding Test
+ * @brief IPv6 Forwarding Test
  */
 class Ipv6ForwardingTest : public TestCase
 {
     Ptr<Packet> m_receivedPacket; //!< Received packet.
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -58,8 +58,8 @@
     Ipv6ForwardingTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -199,9 +199,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 Forwarding TestSuite
+ * @brief IPv6 Forwarding TestSuite
  */
 class Ipv6ForwardingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-fragmentation-test.cc ns-3.44/src/internet/test/ipv6-fragmentation-test.cc
--- ns-3.43/src/internet/test/ipv6-fragmentation-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-fragmentation-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -6,7 +6,7 @@
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
 /**
- * \file
+ * @file
  *
  * This is the test code for ipv6-l3protocol.cc (only the fragmentation and reassembly part).
  */
@@ -55,9 +55,9 @@
 class UdpSocketImpl;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Tag used in IPv6 Fragmentation Test
+ * @brief Tag used in IPv6 Fragmentation Test
  */
 class IPv6TestTag : public Tag
 {
@@ -65,8 +65,8 @@
     uint64_t token; //!< Token carried by the tag.
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId()
     {
@@ -101,8 +101,8 @@
     }
 
     /**
-     * \brief Set the token.
-     * \param token The token.
+     * @brief Set the token.
+     * @param token The token.
      */
     void SetToken(uint64_t token)
     {
@@ -110,8 +110,8 @@
     }
 
     /**
-     * \brief Get the token.
-     * \returns The token.
+     * @brief Get the token.
+     * @returns The token.
      */
     uint64_t GetToken() const
     {
@@ -120,9 +120,9 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 Fragmentation Test
+ * @brief IPv6 Fragmentation Test
  */
 class Ipv6FragmentationTest : public TestCase
 {
@@ -146,35 +146,35 @@
     // server part
 
     /**
-     * \brief Start the server.
-     * \param ServerNode The server.
+     * @brief Start the server.
+     * @param ServerNode The server.
      */
     void StartServer(Ptr<Node> ServerNode);
     /**
-     * \brief Handle incoming packets.
-     * \param socket The receiving socket.
+     * @brief Handle incoming packets.
+     * @param socket The receiving socket.
      */
     void HandleReadServer(Ptr<Socket> socket);
 
     // client part
 
     /**
-     * \brief Start the client.
-     * \param ClientNode The client.
+     * @brief Start the client.
+     * @param ClientNode The client.
      */
     void StartClient(Ptr<Node> ClientNode);
     /**
-     * \brief Handle incoming packets.
-     * \param socket The receiving socket.
+     * @brief Handle incoming packets.
+     * @param socket The receiving socket.
      */
     void HandleReadClient(Ptr<Socket> socket);
     /**
-     * \brief Handle incoming ICMP packets.
-     * \param icmpSource The ICMP sender.
-     * \param icmpTtl The ICMP TTL.
-     * \param icmpType The ICMP Type.
-     * \param icmpCode The ICMP Code.
-     * \param icmpInfo The ICMP Info.
+     * @brief Handle incoming ICMP packets.
+     * @param icmpSource The ICMP sender.
+     * @param icmpTtl The ICMP TTL.
+     * @param icmpType The ICMP Type.
+     * @param icmpCode The ICMP Code.
+     * @param icmpInfo The ICMP Info.
      */
     void HandleReadIcmpClient(Ipv6Address icmpSource,
                               uint8_t icmpTtl,
@@ -183,36 +183,36 @@
                               uint32_t icmpInfo);
 
     /**
-     * \brief Set the packet fill.
-     * \param fill The fill.
-     * \param fillSize The fill size.
-     * \param dataSize The packet size.
+     * @brief Set the packet fill.
+     * @param fill The fill.
+     * @param fillSize The fill size.
+     * @param dataSize The packet size.
      */
     void SetFill(uint8_t* fill, uint32_t fillSize, uint32_t dataSize);
 
     /**
-     * \brief Send a packet.
-     * \returns The sent packet.
+     * @brief Send a packet.
+     * @returns The sent packet.
      */
     Ptr<Packet> SendClient();
 
     /**
-     * \brief Handle Server's incoming packets.
+     * @brief Handle Server's incoming packets.
      * Ensure no packet greater than MTU is received
      *
-     * \param packet the packet.
-     * \param ipv6 the Ipv6 protocol.
-     * \param interface the IP-level interface index.
+     * @param packet the packet.
+     * @param ipv6 the Ipv6 protocol.
+     * @param interface the IP-level interface index.
      */
     void HandleServerRx(Ptr<const Packet> packet, Ptr<Ipv6> ipv6, uint32_t interface);
 
     /**
-     * \brief Handle Client's transmitting packets.
+     * @brief Handle Client's transmitting packets.
      * Ensure no packet greater than MTU is transmitted
      *
-     * \param packet the packet.
-     * \param ipv6 the Ipv6 protocol.
-     * \param interface the IP-level interface index.
+     * @param packet the packet.
+     * @param ipv6 the Ipv6 protocol.
+     * @param interface the IP-level interface index.
      */
     void HandleClientTx(Ptr<const Packet> packet, Ptr<Ipv6> ipv6, uint32_t interface);
 };
@@ -604,9 +604,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 Fragmentation TestSuite
+ * @brief IPv6 Fragmentation TestSuite
  */
 class Ipv6FragmentationTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-list-routing-test-suite.cc ns-3.44/src/internet/test/ipv6-list-routing-test-suite.cc
--- ns-3.43/src/internet/test/ipv6-list-routing-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-list-routing-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -14,9 +14,9 @@
 {
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 dummy routing class (A)
+ * @brief IPv6 dummy routing class (A)
  */
 class Ipv6ARouting : public Ipv6RoutingProtocol
 {
@@ -76,13 +76,15 @@
     {
     }
 
-    void PrintRoutingTable(Ptr<OutputStreamWrapper> stream, Time::Unit unit) const override{};
+    void PrintRoutingTable(Ptr<OutputStreamWrapper> stream, Time::Unit unit) const override
+    {
+    }
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 dummy routing class (B)
+ * @brief IPv6 dummy routing class (B)
  */
 class Ipv6BRouting : public Ipv6RoutingProtocol
 {
@@ -142,13 +144,15 @@
     {
     }
 
-    void PrintRoutingTable(Ptr<OutputStreamWrapper> stream, Time::Unit unit) const override{};
+    void PrintRoutingTable(Ptr<OutputStreamWrapper> stream, Time::Unit unit) const override
+    {
+    }
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 ListRouting negative test.
+ * @brief IPv6 ListRouting negative test.
  */
 class Ipv6ListRoutingNegativeTestCase : public TestCase
 {
@@ -180,9 +184,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 ListRouting positive test.
+ * @brief IPv6 ListRouting positive test.
  */
 class Ipv6ListRoutingPositiveTestCase : public TestCase
 {
@@ -219,9 +223,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 ListRouting TestSuite
+ * @brief IPv6 ListRouting TestSuite
  */
 class Ipv6ListRoutingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-packet-info-tag-test-suite.cc ns-3.44/src/internet/test/ipv6-packet-info-tag-test-suite.cc
--- ns-3.43/src/internet/test/ipv6-packet-info-tag-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-packet-info-tag-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -64,9 +64,9 @@
 // }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 PacketInfoTag Test
+ * @brief IPv6 PacketInfoTag Test
  */
 class Ipv6PacketInfoTagTest : public TestCase
 {
@@ -76,14 +76,14 @@
   private:
     void DoRun() override;
     /**
-     * \brief Receive callback.
-     * \param socket Receiving socket.
+     * @brief Receive callback.
+     * @param socket Receiving socket.
      */
     void RxCb(Ptr<Socket> socket);
     /**
-     * \brief Send data.
-     * \param socket Sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket Sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
 };
@@ -232,9 +232,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 PacketInfoTag TestSuite
+ * @brief IPv6 PacketInfoTag TestSuite
  */
 class Ipv6PacketInfoTagTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-raw-test.cc ns-3.44/src/internet/test/ipv6-raw-test.cc
--- ns-3.43/src/internet/test/ipv6-raw-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-raw-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -44,9 +44,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 RAW Socket Test
+ * @brief IPv6 RAW Socket Test
  */
 class Ipv6RawSocketImplTest : public TestCase
 {
@@ -54,15 +54,15 @@
     Ptr<Packet> m_receivedPacket2; //!< Received packet (2).
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -71,27 +71,27 @@
     Ipv6RawSocketImplTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
-     * \param packet The received packet.
-     * \param from The sender.
+     * @brief Receive data.
+     * @param socket The receiving socket.
+     * @param packet The received packet.
+     * @param from The sender.
      */
     void ReceivePacket(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
-     * \param packet The received packet.
-     * \param from The sender.
+     * @brief Receive data.
+     * @param socket The receiving socket.
+     * @param packet The received packet.
+     * @param from The sender.
      */
     void ReceivePacket2(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt2(Ptr<Socket> socket);
 };
@@ -311,9 +311,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 RAW Socket TestSuite
+ * @brief IPv6 RAW Socket TestSuite
  */
 class Ipv6RawTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-ripng-test.cc ns-3.44/src/internet/test/ipv6-ripng-test.cc
--- ns-3.43/src/internet/test/ipv6-ripng-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-ripng-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -33,24 +33,24 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 RIPng Test
+ * @brief IPv6 RIPng Test
  */
 class Ipv6RipngTest : public TestCase
 {
     Ptr<Packet> m_receivedPacket; //!< Received packet
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -59,8 +59,8 @@
     Ipv6RipngTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -263,24 +263,24 @@
 // Ipv6RipngCountToInfinityTest
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 RIPng count to infinity Test
+ * @brief IPv6 RIPng count to infinity Test
  */
 class Ipv6RipngCountToInfinityTest : public TestCase
 {
     Ptr<Packet> m_receivedPacket; //!< Received packet
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -289,8 +289,8 @@
     Ipv6RipngCountToInfinityTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -495,9 +495,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 RIPng SplitHorizon strategy Test
+ * @brief IPv6 RIPng SplitHorizon strategy Test
  */
 class Ipv6RipngSplitHorizonStrategyTest : public TestCase
 {
@@ -507,14 +507,14 @@
   public:
     void DoRun() override;
     /**
-     * \brief Constructor.
-     * \param strategy The SplitHorizon strategy.
+     * @brief Constructor.
+     * @param strategy The SplitHorizon strategy.
      */
     Ipv6RipngSplitHorizonStrategyTest(RipNg::SplitHorizonType_e strategy);
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePktProbe(Ptr<Socket> socket);
 };
@@ -683,9 +683,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 RIPng TestSuite
+ * @brief IPv6 RIPng TestSuite
  */
 class Ipv6RipngTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv6-test.cc ns-3.44/src/internet/test/ipv6-test.cc
--- ns-3.43/src/internet/test/ipv6-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/ipv6-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -20,9 +20,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 Test
+ * @brief IPv6 Test
  */
 class Ipv6L3ProtocolTestCase : public TestCase
 {
@@ -167,9 +167,9 @@
 } // end DoRun
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv6 TestSuite
+ * @brief IPv6 TestSuite
  */
 class IPv6L3ProtocolTestSuite : public TestSuite
 {
